Bug 444400 - (CVE-2008-1974) CVE-2008-1974 kronolith: XSS in addevent.php
CVE-2008-1974 kronolith: XSS in addevent.php
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20080427,public=2...
: Security
Depends On: 444403 444404 444405
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 04:28 EDT by Tomas Hoger
Modified: 2016-03-04 05:59 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.1.8-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 02:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (2.65 KB, patch)
2008-04-28 04:38 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2008-04-28 04:28:06 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1974 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in addevent.php in Horde
Kronolith 2.1.7, Groupware Webmail Edition 1.0.6, and Groupware 1.0.5
allows remote attackers to inject arbitrary web script or HTML via the
url parameter.

References:
http://www.securityfocus.com/archive/1/archive/1/491230/100/0/threaded
http://forum.aria-security.com/showthread.php?t=49
http://www.securityfocus.com/bid/28898
http://secunia.com/advisories/29920
http://xforce.iss.net/xforce/xfdb/41974
Comment 1 Tomas Hoger 2008-04-28 04:38:36 EDT
Created attachment 303946 [details]
Upstream patch

Upstream released version 3.1.8 to address this flaw.  This seems to be the
relevant part of the diff between 3.1.7 and 3.1.8.
Comment 6 Lubomir Kundrak 2008-04-30 06:56:20 EDT
Freeze break for Fedora 9 has been requested. Might not be approved due to zero
testing though:
https://www.redhat.com/archives/fedora-devel-list/2008-April/msg02377.html
Comment 8 Fedora Update System 2008-06-11 00:34:58 EDT
kronolith-2.1.8-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-06-11 00:36:26 EDT
kronolith-2.1.8-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Red Hat Product Security 2008-06-11 02:11:22 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-3460
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3543


Note You need to log in before you can comment on or make changes to this bug.